description

# CssMediaRule class Null safety

Inheritance
  - Object
  - CssRule
  - CssGroupingRule
  - CssConditionRule
  - CssMediaRule
Annotations
  - @Native("CSSMediaRule")

## Properties

conditionText → String?
  read-only, inherited
cssRules → List<CssRule>?
  @Creates('_CssRuleList'), @Returns('_CssRuleList'), read-only, inherited
cssText ↔ String?
  read / write, inherited
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
media → MediaList?
  read-only
parentRule → CssRule?
  read-only, inherited
parentStyleSheet → CssStyleSheet?
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
type → int?
  read-only, inherited

## Methods

deleteRule(int index) → void
  inherited
insertRule(String rule, int index) → int
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited